=== texmf-dist/doc/texlive/texlive-ru/Makefile ===
include ../texlive-en/Makefile
doc = texlive-ru
