=== texmf-dist/doc/fonts/cjk-gs-integrate/tests/Makefile ===


all = gb cns korea japan

$(all) all:
	bash test-runner.sh $@

clean:
	rm -f *.log *.dvi *.aux

realclean: clean
	rm -f *.pdf *.ps
