=== texmf-dist/doc/latex/disser/templates/bachelor/Makefile ===
#
# Makefile for documents and templates
# Author: Stanislav Kruchinin <stanislav.kruchinin@gmail.com>
#

TARGET?=thesis


include ../../include/latex.mk

all: dvi

allpdf: pdf

help: .help
	@echo "  all          alias for dvi target" ;\
	 echo "  allpdf       alias for pdf target" ;\
