=== debian/changelog ===
texlive-lang (2015.20160223-1) unstable; urgency=medium

  * new upstream checkout

 -- Norbert Preining <preining@debian.org>  Tue, 23 Feb 2016 12:34:25 +0900

texlive-lang (2015.20160215-1) unstable; urgency=medium

  * new upstream checkout

 -- Norbert Preining <preining@debian.org>  Mon, 15 Feb 2016 20:04:44 +0900

texlive-lang (2015.20160117-1) unstable; urgency=medium

  * new upstream checkout

 -- Norbert Preining <preining@debian.org>  Sun, 17 Jan 2016 16:48:25 +0900

texlive-lang (2015.20151225-1) unstable; urgency=medium

  * new upstream checkout
  * remove adobemapping, use poppler-data instead (Closes: #805691)
    (thanks to Hideki Yamane)
  * install ltx-help.el for emacs, thanks to Kevin Ryde (Closes: #807154)

 -- Norbert Preining <preining@debian.org>  Sat, 26 Dec 2015 10:42:59 +0900

texlive-lang (2015.20151116-1) unstable; urgency=medium

  * new upstream checkout

 -- Norbert Preining <preining@debian.org>  Mon, 16 Nov 2015 13:19:23 +0900

texlive-lang (2015.20151016-1) unstable; urgency=medium

  * new upstream checkout
  * set all packages to M-A: foreign

 -- Norbert Preining <preining@debian.org>  Fri, 16 Oct 2015 09:42:26 +0900

texlive-lang (2015.20150917-1) unstable; urgency=medium

  * new upstream checkout

 -- Norbert Preining <preining@debian.org>  Thu, 17 Sep 2015 12:56:40 +0900

texlive-lang (2015.20150823-1) unstable; urgency=medium

  * new upstream checkout

 -- Norbert Preining <preining@debian.org>  Sun, 23 Aug 2015 14:07:36 +0900
